//
//  OtherChatContentView.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/09.
//

import SwiftUI

struct OtherChatContentView: View {
    var body: some View {
        HStack {
            VStack(alignment: .leading, spacing: 4) {
                Text("Taro")
                    .font(FontStyle.EmphasisText.font)
                    .foregroundColor(ColorSet.Body.color)
                VStack(alignment: .leading, spacing: 10) {
                    Text("テキストメッセージテキストメッセージテキストメッセージテキストメッセージテキストメッセージテキストメッセージ")
                        .font(FontStyle.DefaultText.font)
                        .foregroundColor(ColorSet.BodyChat.color)
                        .padding(15)
                        .background(ColorSet.ChatBaloon.color)
                        .cornerRadius(10, corners: [.tl, .tr, .br])
                    
                    HStack(alignment: .top){
                        Text("yyyy/MM/dd hh:mm")
                            .font(FontStyle.DateText.font)
                            .foregroundColor(ColorSet.ChatDate.color)
                    }
                }
            }
            .padding(.leading, 20)
            Spacer()
        }
        .padding(.trailing, 80)
    }
}

#Preview {
    OtherChatContentView()
}
